Loading...
Searching...
No Matches
Halide::Internal::FileStat Struct Reference

`#include <Util.h>`

## Public Attributes

uint64_t | file_size
uint32_t | mod_time
uint32_t | uid
uint32_t | gid
uint32_t | mode

## Detailed Description

Definition at line 264 of file Util.h.

## Member Data Documentation

## file_size

uint64_t Halide::Internal::FileStat::file_size

Definition at line 265 of file Util.h.

## mod_time

uint32_t Halide::Internal::FileStat::mod_time

Definition at line 266 of file Util.h.

## uid

uint32_t Halide::Internal::FileStat::uid

Definition at line 267 of file Util.h.

## gid

uint32_t Halide::Internal::FileStat::gid

Definition at line 268 of file Util.h.

## mode

uint32_t Halide::Internal::FileStat::mode

Definition at line 269 of file Util.h.

The documentation for this struct was generated from the following file:

- src/Util.h